Subject: Re: Disappearing mount points with WinNT 3.51/4.0
From: [email-masked] (Geoff Wing)

23 Dec 1997 23:14:13 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

Richard Henry Wood <[email-masked]> typed:
:This is strange.  I don't see my mount points disappear when I
:close my bash session.  I'm running WinNT Server 4.0 Service
:Pack 3.
:What variant of NT are you running, exactly?

This person should probably also check whether or not he/she has permission
to write to the appropriate part of the registry.  I would assume yes if the
mounts exist once created, so this person would also need to check what's
happening with the registry file via auditing if possible.

As a minimum the person:
 * would need permission to  CreateSubkey  on
  HKEY_CURRENT_USER/Software/	(or any of the appropriate subkeys if existing)
 * would need permissions of  QueryValue  in   
  HKEY_CURRENT_USER/Software/Cygnus Solutions/CYGWIN.DLL setup/b15.0/mounts/
 * probably would need permission to  EnumerateSubkeys  in the above path.

Some mysterious unattributed person wrote:
:> >In win95 I don't need to remount my mount points
:> >once they are set. In WinNT 4.0 and WinNT 3.51,
:> >my mount points disappear if I close my bash
:> >session.  How do I make the mount points
:> >persistent in WinNT?  I know the mount points
:> >live in the registry but I'm not sure how
:> >to keep them there. Any help would be greatly
:> >appreciated.
-- 
Geoff Wing [[email-masked]]                         Phone    : +61-3-9818 2977
 Technical Manager: PrimeNet Computer Consultants  Facsimile: +61-3-9818 5155
 <URL:http://www.primenet.com.au/>                 Mobile   : 0412 162 441
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".